#include <iostream>
#include <vector>
#include <string>
#include <map>
#include <set>

#define sync ios::sync_with_stdio(false);cin.tie(0);cout.tie(0)
#define all(a) (a).begin(), (a).end()
#define ll long long

using namespace std;

const int mod = 1e9 + 7;

int main() {
	sync;
	int n;
	cin >> n;
	vector<pair<ll, ll>> a(n);
	set<int> s1, s2;
	for (int i = 0; i < n; i++) {
		cin >> a[i].first >> a[i].second;
		s1.insert(a[i].first);
		s2.insert(a[i].second);

		ll ans = 0;
		for (int j = 0; j < s1.size(); j++) {
			for (int k = 0; k < s2.size(); k++) {
				
				ll temp = 0;
				for (int l = 0; l <= i; l++) {
					temp += (abs((*next(s1.begin(), j)) - a[l].first) % mod) * (abs((*next(s2.begin(), k)) - a[l].second) % mod);
				}
				ans = max(ans, temp) % mod;
			}
		}
		cout << ans << '\n';
	}
}